Bug 157547 - grub-install fails on cciss devices
grub-install fails on cciss devices
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: grub (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-12 12:03 EDT by David Milburn
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-27 14:16:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Milburn 2005-05-12 12:03:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
The following command fails to recreate the /boot/grub/device.map:

/sbin/grub-install --recheck /dev/cciss/c0d0.

The RHEL3 grub-0.93-4.3 needs the grub-0.95-moreraid.patch to
detect cciss devices to fix this problem. This patch has been applied
to the RHEL4 grub-0.95-3.1. 

Version-Release number of selected component (if applicable):
grub-0.93-4.3

How reproducible:
Always

Steps to Reproduce:
1. cat /boot/grub/device.map
2. /sbin/grub-install --recheck /dev/cciss/c0d0
3. cat /boot/grub/device.map
  

Actual Results:  (fd0) /dev/fd0

Expected Results:  (fd0) /dev/fd0
(hd0) /dev/cciss/c0d0


Additional info:

Note You need to log in before you can comment on or make changes to this bug.